Subject: Re: [RFC net-next 10/10] netdevsim: register devlink instance before sub-objects

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Jan 2023 18:52:16 -0800

On Tue, 3 Jan 2023 10:51:14 +0100 Jiri Pirko wrote:
> >> I wonder, why don't you squash patch 8 to this one and make 1 move, to
> >> the fina destination?  
> >
> >I found the squashed version a lot harder to review.  
> 
> I'm puzzled. Both patches move calls to devl_register/unregister().
> The first one moves it, the second one moves it a bit more. What's
> making the squashed patch hard to review?

Ah, I thought you meant patch 7, sorry.
This one matters less, I'll squash.